diff -urN a/feeds/cero/net/pimd/Makefile b/feeds/cero/net/pimd/Makefile
--- a/feeds/cero/net/pimd/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/cero/net/pimd/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -12,7 +12,7 @@
 PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
-PKG_SOURCE_URL:=https://github.com/downloads/troglobit/pimd/$(PKG_SOURCE)
+PKG_SOURCE_URL:=https://github.com/downloads/troglobit/pimd
 PKG_MD5SUM:=a12448bc7c9bfcebf51a13ebf1ffa962
 
 PKG_INSTALL:=1
diff -urN a/feeds/packages/libs/alsa-lib/Makefile b/feeds/packages/libs/alsa-lib/Makefile
--- a/feeds/packages/libs/alsa-lib/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/alsa-lib/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -32,7 +32,7 @@
   CATEGORY:=Libraries
   TITLE:=ALSA (Advanced Linux Sound Architecture) library
   URL:=http://www.alsa-project.org/
-  DEPENDS:=@AUDIO_SUPPORT $(DEPENDS_KMOD)
+  DEPENDS:=@AUDIO_SUPPORT $(DEPENDS_KMOD) +libpthread +librt
 endef
 
 define Package/alsa-lib/description
diff -urN a/feeds/packages/libs/avahi/Makefile b/feeds/packages/libs/avahi/Makefile
--- a/feeds/packages/libs/avahi/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/avahi/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -94,7 +94,11 @@
 define Package/avahi-daemon
   $(call Package/avahi/Default)
   SUBMENU:=IP Addresses and Names
-  DEPENDS:=+libavahi +libexpat
+  ifeq ($(BUILD_VARIANT),dbus)
+  DEPENDS:=+libavahi +libexpat +librt +libdbus
+  else
+  DEPENDS:=+libavahi +libexpat +librt
+  endif
   TITLE+= (daemon)
 endef
 
@@ -233,6 +237,7 @@
 
 CONFIGURE_VARS+= \
 	CFLAGS="$$$$CFLAGS -DNDEBUG -DDISABLE_SYSTEMD" \
+	ac_cv_header_sys_capability_h=no \
 
 define Build/InstallDev
 	$(INSTALL_DIR) $(1)/usr/include
diff -urN a/feeds/packages/libs/fcgi/Makefile b/feeds/packages/libs/fcgi/Makefile
--- a/feeds/packages/libs/fcgi/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/fcgi/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -36,7 +36,7 @@
 
 define Package/fcgixx
   $(call Package/fcgi/Default)
-  DEPENDS:=fcgi +USE_UCLIBC:uclibcxx
+  DEPENDS:=fcgi +uclibcxx
   TITLE:=Shared library of FastCGI++
 endef
 
@@ -46,6 +46,7 @@
  server specific APIs.
 endef
 
+TARGET_CXX=g++-uc
 TARGET_CFLAGS += $(FPIC)
 
 CONFIGURE_ARGS += \
@@ -53,9 +54,7 @@
 	--enable-static \
 
 CONFIGURE_VARS += \
-	CPPFLAGS="$$$$CPPFLAGS -I$(STAGING_DIR)/usr/include/uClibc++" \
-	CXXFLAGS="$$$$CXXFLAGS -fno-builtin -fno-rtti -nostdinc++"  \
-	LIBS="-nodefaultlibs -lc -luClibc++ -lm" \
+	LIBS="-lm" \
 
 define Build/InstallDev
 	$(INSTALL_DIR) $(1)/usr/include
diff -urN a/feeds/packages/libs/freetype/Makefile b/feeds/packages/libs/freetype/Makefile
--- a/feeds/packages/libs/freetype/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/freetype/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -26,7 +26,7 @@
   CATEGORY:=Libraries
   TITLE:=A free, high-quality and portable font engine
   URL:=http://www.freetype.org/
-  DEPENDS:=+zlib
+  DEPENDS:=+zlib +libbz2
 endef
 
 define Package/libfreetype/description
diff -urN a/feeds/packages/libs/gpgme/Makefile b/feeds/packages/libs/gpgme/Makefile
--- a/feeds/packages/libs/gpgme/Makefile	2012-12-14 17:25:44.000000000 +0100
+++ b/feeds/packages/libs/gpgme/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -40,14 +40,23 @@
 	--enable-shared \
 	--enable-static \
 	--with-gpg=/"usr/bin/gpg" \
+	--with-gpgconf="" \
 	--with-gpg-error-prefix="$(STAGING_DIR)/usr" \
 	--with-libassuan-prefix="$(STAGING_DIR)/usr" \
 	--without-g13 \
-	--without-gpgconf \
 	--without-gpgsm \
 	--without-pth \
 
 define Build/InstallDev
+	$(INSTALL_DIR) $(2)/bin $(1)/usr/bin
+	$(INSTALL_BIN) \
+		$(PKG_INSTALL_DIR)/usr/bin/gpgme-config \
+		$(2)/bin/
+	$(SED) \
+		's,^\(prefix\|exec_prefix\)=.*,\1=$(STAGING_DIR)/usr,g' \
+		$(2)/bin/gpgme-config
+	ln -sf $(STAGING_DIR)/host/bin/gpgme-config $(1)/usr/bin/gpgme-config
+
 	$(INSTALL_DIR) $(1)/usr/include
 	$(CP) $(PKG_INSTALL_DIR)/usr/include/gpgme.h $(1)/usr/include/
 
diff -urN a/feeds/packages/libs/libusb/Makefile b/feeds/packages/libs/libusb/Makefile
--- a/feeds/packages/libs/libusb/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/libusb/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -25,6 +25,7 @@
   CATEGORY:=Libraries
   TITLE:=A library for accessing Linux USB devices
   URL:=http://libusb.sourceforge.net/
+  DEPENDS:=+libstdcpp
 endef
 
 define Build/Configure
diff -urN a/feeds/packages/libs/libusb-1.0/Makefile b/feeds/packages/libs/libusb-1.0/Makefile
--- a/feeds/packages/libs/libusb-1.0/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/libs/libusb-1.0/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -22,6 +22,7 @@
   SECTION:=libs
   CATEGORY:=Libraries
   TITLE:=libusb-1.0
+  DEPENDS:=+libpthread +librt
   URL:=http://libusb.wiki.sourceforge.net/
 endef
 
diff -urN a/feeds/packages/net/dudders/Makefile b/feeds/packages/net/dudders/Makefile
--- a/feeds/packages/net/dudders/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/net/dudders/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -25,6 +25,7 @@
   SECTION:=net
   CATEGORY:=Network
   SUBMENU:=IP Addresses and Names
+  DEPENDS:=+libopenssl +libgcrypt +libgpg-error
   TITLE:=DNS Update SIG(0) client
   MAINTAINER:=Dean Scarff <dos@scarff.id.au>
   URL:=http://dudders.sourceforge.net/
diff -urN a/feeds/packages/net/krb5/Makefile b/feeds/packages/net/krb5/Makefile
--- a/feeds/packages/net/krb5/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/net/krb5/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -43,6 +43,7 @@
 
 define Package/krb5-client
 	$(call Package/krb5/Default)
+	DEPENDS:=+krb5-libs
 	TITLE:=Kerberos 5 Client
 endef
 
diff -urN a/feeds/packages/net/l7-protocols/Makefile b/feeds/packages/net/l7-protocols/Makefile
--- a/feeds/packages/net/l7-protocols/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/net/l7-protocols/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -8,6 +8,7 @@
 PKG_SOURCE_URL:=@SF/l7-filter
 PKG_MD5SUM:=91be154d12134dcdbc560cc7aa7fe4ce
 
+include $(INCLUDE_DIR)/uclibc++.mk
 include $(INCLUDE_DIR)/package.mk
 
 define Package/l7-protocols
@@ -41,7 +42,7 @@
 
 ifneq ($(SDK)$(CONFIG_PACKAGE_l7-protocols-testing),)
   define Build/Compile
-	cd $(PKG_BUILD_DIR)/testing && $(MAKE) $(TARGET_CONFIGURE_OPTS) CXX="$(STAGING_DIR)/host/bin/g++-uc"
+	cd $(PKG_BUILD_DIR)/testing && $(MAKE) $(TARGET_CONFIGURE_OPTS)
   endef
 else
   define Build/Compile
diff -urN a/feeds/packages/net/samba36/Makefile b/feeds/packages/net/samba36/Makefile
--- a/feeds/packages/net/samba36/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/net/samba36/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -8,13 +8,13 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=samba
-PKG_VERSION:=3.6.4
+PKG_VERSION:=3.6.5
 PKG_RELEASE:=1
 
 PKG_SOURCE_URL_SUBDIR:=/
 PKG_SOURCE_URL:=http://ftp.samba.org/pub/samba$(PKG_SOURCE_URL_SUBDIR)
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
-PKG_MD5SUM:=d8e070e2a3b12f202f347e4427469bc2
+PKG_MD5SUM:=2f0c14547333c1b48fd4728b031e7040
 
 include $(INCLUDE_DIR)/package.mk
 
diff -urN a/feeds/packages/sound/streamripper/Makefile b/feeds/packages/sound/streamripper/Makefile
--- a/feeds/packages/sound/streamripper/Makefile	2012-12-14 17:27:22.000000000 +0100
+++ b/feeds/packages/sound/streamripper/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -24,7 +24,7 @@
 define Package/streamripper
   SECTION:=multimedia
   CATEGORY:=Multimedia
-  DEPENDS:=+libmad +libfaad2
+  DEPENDS:=+libmad +libfaad2 +libpthread
   TITLE:=streamripper
   URL:=http://streamripper.sourceforge.net/
 endef
diff -urN a/feeds/packages/utils/dbus/Makefile b/feeds/packages/utils/dbus/Makefile
--- a/feeds/packages/utils/dbus/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/utils/dbus/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -44,6 +44,7 @@
 $(call Package/dbus/Default)
   CATEGORY:=Libraries
   TITLE+= (library)
+  DEPENDS:= +librt
 endef
 
 define Package/libdbus/Description
diff -urN a/feeds/packages/utils/rrdtool/Makefile b/feeds/packages/utils/rrdtool/Makefile
--- a/feeds/packages/utils/rrdtool/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/utils/rrdtool/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -40,7 +40,7 @@
   SECTION:=libs
   CATEGORY:=Libraries
   TITLE+= management library (v1.2.x)
-  DEPENDS+= +libart +libfreetype +libpng +zlib
+  DEPENDS+= +libart +libfreetype +libpng +zlib +libpthread
 endef
 
 define Package/rrdcgi
diff -urN a/feeds/packages/utils/zile/Makefile b/feeds/packages/utils/zile/Makefile
--- a/feeds/packages/utils/zile/Makefile	2012-12-14 17:25:41.000000000 +0100
+++ b/feeds/packages/utils/zile/Makefile	2012-12-14 17:51:21.000000000 +0100
@@ -22,7 +22,7 @@
 define Package/zile
   SECTION:=utils
   CATEGORY:=Utilities
-  DEPENDS:=+libncurses
+  DEPENDS:=+libncursesw
   TITLE:=very small emacs-like editor
   URL:=http://www.gnu.org/software/zile/
   SUBMENU:=Editors
